using System;

using HISClinic.DataModel;
using HISClinic.DataServices;

namespace HISClinic.BLL
{
	/// <summary>
	/// RegistrationType 的摘要说明。
	/// </summary>
	public class RegistrationType
	{
		public RegistrationType()
		{
			//
			// TODO: 在此处添加构造函数逻辑
			//
		}

		/// <summary>
		/// 获取门诊类型
		/// </summary>
		/// <returns></returns>
		public RegistrationTypesEx GetRegistrationType()
		{
			RegistrationTypesEx registrationTypesEx=(new RegistrationTypeMapper()).GetRegistrationType();
			return registrationTypesEx.t_RegistrationType.Rows.Count>0?registrationTypesEx:null;
		}
	}
}
